# Request format
All micro services for the related items system adhere to the following conventions.

The micro service is queried via the POST endpoint: `/search`.
The request contains the POST params `term` and `context`.

The micro service returns a json object containing the response `type`
and type-dependent data. e.g.
```
{
    "type": "image",
    "path": "/path/to/image"
}
```

```
{
    "type": "text",
    "text": "This will hopefully be useful information.",
    "url": "link_to_external_page_with_more_information"
}
```

```
{
    "type": "miss"
}
```
Currently the three types shown above are supporting along side with the shown type-dependent data.